# -*- coding: utf-8 -*-
"""TEXT EXTRACTION USING PYTESSERACT.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1wVKp38XyKKDYa-Z70NTMD9l2T1uUTn8l

# **TEXT EXTRACTION USING PYTESSERACT**

### **01. INSTALLING PACKAGES**
"""

!sudo apt install tesseract-ocr
  !pip install pytesseract

"""### **02. IMPORTING LIBRARIES**"""

import pytesseract
  import cv2
  from google.colab.patches import cv2_imshow
  from PIL import Image
  from termcolor import colored
  import pandas as pd

"""### **DEFINING FUNCTION**"""

import string
def extract(image,oem,psm,out):
  cv2.imread(image)
  x = str(oem)
  y = str(psm)
  config = "-1 eng "+ '--psm ' + y + " --oem " + x
  z = str(config)
  if out == 'string':
    result = pytesseract.image_to_string(image,config = z )
  elif out == 'pdf':
    result = pytesseract.image_to_pdf_or_hocr(image,config = z )
  elif out == 'data':
    result = pytesseract.image_to_data(image,config = z )
  elif out == 'osd':
    result = pytesseract.image_to_osd(image,config = z )
  elif out == 'xml':
    result = pytesseract.image_to_alto_xml(image,config = z )
  elif out == 'hocr':
    result = pytesseract.image_to_pdf_or_hocr(image,config = z )  
  elif out == 'boxes':
    result = pytesseract.image_to_boxes(image,config = z )  
  else:
    result = pytesseract.image_to_string(image,config = z )
  print(colored("Extracted Text from the given image file is:", 'blue', attrs=['bold']))
  return result

"""### **TESTING**"""

image = "/content/image.jpg"
extract(image,4,2)